CharArrayWriter
Date: 2016-06-24

java.io

## Class CharArrayWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.CharArrayWriter

-     public class CharArrayWriter
      extends Writer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected char[]` | `buf`
    `protected int` | `count`

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharArrayWriter()`
    `CharArrayWriter(int var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `void` | `reset()`
    `int` | `size()`
    `char[]` | `toCharArray()`
    `void` | `write(char[] var0, int var1, int var2)`
    `void` | `write(int var0)`
    `void` | `write(String var0, int var1, int var2)`
    `void` | `writeTo(Writer var0)`

    - ### Methods inherited from class java.io.Writer

      `write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buf

          protected char[] buf

    - #### count

          protected int count

  - ### Constructor Detail

    - #### CharArrayWriter

          public CharArrayWriter()

    - #### CharArrayWriter

          public CharArrayWriter(int var0)

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in class `Writer`

    - #### flush

          public void flush()

      Specified by:
        `flush` in class `Writer`

    - #### reset

          public void reset()

    - #### size

          public int size()

    - #### toCharArray

          public char[] toCharArray()

    - #### write

          public void write(int var0)

      Overrides:
        `write` in class `Writer`

    - #### write

          public void write(String var0,
                   int var1,
                   int var2)

      Overrides:
        `write` in class `Writer`

    - #### write

          public void write(char[] var0,
                   int var1,
                   int var2)

      Specified by:
        `write` in class `Writer`

    - #### writeTo

          public void writeTo(Writer var0)
                       throws IOException

      Throws:
        `IOException`